Package twisted :: Package internet :: Module tcp :: Class _TLSMixin |
[frames | no frames]

## Class _TLSMixin

Method Summary
| `_closeSocket(self)`
| ``_postLoseConnection`(self)` Gets called after loseConnection(), after buffered data is sent.
| `doRead(self)`
| `doWrite(self)`
| `getPeerCertificate(self)`
| `loseConnection(self)`
| `writeSomeData(self, data)`

Class Variable Summary
`int` | `readBlockedOnWrite` = 0
`int` | `sslShutdown` = 0
`int` | `writeBlockedOnRead` = 0

Method Details

### _postLoseConnection(self) Gets called after loseConnection(), after buffered data is sent. We close the SSL transport layer, and if the other side hasn't closed it yet we start reading, waiting for a ZeroReturnError which will indicate the SSL shutdown has completed.

Class Variable Details

    ### readBlockedOnWrite Type: `int` Value:
        0

    ### sslShutdown Type: `int` Value:
        0

    ### writeBlockedOnRead Type: `int` Value:
        0

Generated by Epydoc 2.0 on Sat Oct 25 00:55:00 2003 | http://epydoc.sf.net